Slackwarearm-current ChangeLog (2021-11-29)

Mon Nov 29 08:08:08 UTC 2021


This is Slackware ARM 15.0 release candidate 2.

Please report any issues to the dedicated Slackware ARM forum:
https://www.linuxquestions.org/questions/slackware-arm-108/

The mini root filesystem has been updated:
ftp://ftp.arm.slackware.com/slackwarearm/slackwarearm-devtools/minirootfs/
  • a/aaa_libraries-15.0-arm-7.txz
  • a/libblockdev-2.26-arm-3.txz
  • a/libbytesize-2.6-arm-3.txz
  • a/libpwquality-1.4.4-arm-5.txz
  • a/sdparm-1.12-arm-2.txz
    Recompiled against sg3_utils-1.47.
  • a/sysvinit-scripts-15.0-noarch-6.txz
    rc.M: adjust the startup order to make sure a few services are running when
    needed (such as MariaDB for dovecot and postfix). Thanks to Tshane.
    rc.{6,S,M}: merged changes for compatibility with LXC containers.
  • a/udisks-1.0.5-arm-10.txz
    Recompiled against sg3_utils-1.47.
  • a/util-linux-2.37.2-arm-6.txz
  • a/volume_key-0.3.12-arm-4.txz
  • ap/hplip-3.20.5-arm-5.txz
  • ap/linuxdoc-tools-0.9.82-arm-3.txz
  • ap/rpm-4.16.1.3-arm-3.txz
  • ap/texinfo-6.8-arm-3.txz
    Patched to fix issues with pt_BR locale. Thanks to Luiz Ramos.
  • ap/undervolt-20210815_e39aea1-arm-2.txz
  • d/Cython-0.29.24-arm-3.txz
  • d/distcc-3.4-arm-3.txz
  • d/gdb-11.1-arm-4.txz
  • d/gyp-20210831_d6c5dd51-arm-2.txz
  • d/llvm-13.0.0-arm-2.txz
  • d/python-pip-21.3.1-arm-2.txz
  • d/scons-4.2.0-arm-2.txz
  • kde/alkimia-8.1.0-arm-4.txz
  • kde/calligra-3.2.1-arm-16.txz
  • kde/digikam-7.3.0-arm-3.txz
  • kde/kdev-python-5.6.2-arm-7.txz
  • kde/kdevelop-5.6.2-arm-9.txz
  • kde/kile-2.9.93-arm-15.txz
  • kde/kmymoney-5.1.2-arm-4.txz
  • kde/kopeninghours-21.08.3-arm-2.txz
    Respect $LIBDIRSUFFIX when installing the Python module.
    Thanks to qunying.
  • kde/krita-4.4.8-arm-6.txz
  • l/M2Crypto-0.38.0-arm-3.txz
  • l/PyQt5-5.15.2-arm-4.txz
  • l/QScintilla-2.11.6-arm-4.txz
  • l/boost-1.77.0-arm-3.txz
  • l/brotli-1.0.9-arm-6.txz
  • l/dbus-python-1.2.18-arm-3.txz
  • l/gexiv2-0.14.0-arm-3.txz
  • l/glade-3.38.2-arm-4.txz
  • l/gobject-introspection-1.70.0-arm-3.txz
  • l/lensfun-0.3.95-arm-4.txz
  • l/libcaca-0.99.beta19-arm-11.txz
  • l/libcap-ng-0.8.2-arm-5.txz
  • l/libgpod-0.8.3-arm-10.txz
    Recompiled against sg3_utils-1.47.
  • l/libimobiledevice-20200615_4791a82-arm-5.txz
  • l/libproxy-0.4.17-arm-4.txz
  • l/libwebp-1.2.1-arm-3.txz
  • l/libxml2-2.9.12-arm-4.txz
    Patched to fix python3 unicode errors. Thanks to Daedra.
    Applied upstream patch:
    [PATCH] Work around lxml API abuse.
    Thanks to brobr.
  • l/newt-0.52.21-arm-7.txz
  • l/openexr-2.5.7-arm-4.txz
  • l/pycairo-1.20.1-arm-3.txz
  • l/pycups-2.0.1-arm-5.txz
  • l/pycurl-7.44.1-arm-3.txz
  • l/pygobject3-3.42.0-arm-3.txz
  • l/pyparsing-2.4.7-arm-5.txz
  • l/python-appdirs-1.4.4-arm-5.txz
  • l/python-certifi-2021.10.8-arm-2.txz
  • l/python-cffi-1.15.0-arm-2.txz
  • l/python-chardet-4.0.0-arm-4.txz
  • l/python-distro-1.6.0-arm-2.txz
  • l/python-dnspython-2.1.0-arm-3.txz
  • l/python-future-0.18.2-arm-6.txz
  • l/python-idna-3.3-arm-2.txz
  • l/python-markdown-3.3.4-arm-4.txz
    Reverted this to fix the Samba build. The newer versions of Markdown require
    importlib_metadata and zipp, and adding these also fixes the build, but oddly
    the installed PKG-INFO shows version 0.0.0, which I suspect is more breakage
    going on with setuptools. I've tried rebuilding all other Python modules here
    to see if a more general breakage had crept in somehow, but those are the
    only two Python modules I've found that exhibit this issue, and I've found
    other similar reports (but no fixes). Markdown-3.3.4 seems to be the safe bet
    for now.
  • l/python-notify2-0.3.1-arm-10.txz
  • l/python-pillow-8.4.0-arm-2.txz
  • l/python-ply-3.11-arm-8.txz
  • l/python-pygments-2.10.0-arm-3.txz
  • l/python-pysol_cards-0.12.0-arm-2.txz
  • l/python-random2-1.0.1-arm-4.txz
  • l/python-requests-2.26.0-arm-3.txz
  • l/python-sane-2.9.1-arm-4.txz
  • l/python-six-1.16.0-arm-3.txz
  • l/python-urllib3-1.26.7-arm-3.txz
  • l/sip-4.19.25-arm-5.txz
  • l/speech-dispatcher-0.10.2-arm-4.txz
  • l/system-config-printer-1.5.15-arm-4.txz
  • l/talloc-2.3.3-arm-3.txz
  • l/tdb-1.4.5-arm-3.txz
  • l/tevent-0.11.0-arm-3.txz
  • n/epic5-2.1.6-arm-3.txz
  • n/getmail-6.18.5-arm-2.txz
  • n/gpgme-1.16.0-arm-3.txz
  • n/net-snmp-5.9.1-arm-3.txz
  • n/network-scripts-15.0-noarch-15.txz
    Merged changes in rc.inet1 to make it compatible with LXC containers.
    Patched netconfig to ensure the proper permissions on rc.networkmanager
    when NetworkManager is not chosen.
  • n/obexftp-0.24.2-arm-10.txz
  • n/pssh-2.3.4-arm-5.txz
  • x/ibus-1.5.25-arm-5.txz
    Fixed paths in:
    [PATCH] client/gtk3/ibusimcontext: Fix wrong cursor location in gtk3 apps.
    Thanks to Lockywolf.
    [PATCH] client/gtk2/ibusimcontext: Fix wrong cursor location in gtk3 apps.
    Thanks to Lockywolf.
  • x/ibus-anthy-1.5.13-arm-3.txz
  • x/ibus-hangul-1.5.4-arm-4.txz
  • x/ibus-libpinyin-1.12.1-arm-3.txz
  • x/ibus-table-1.14.1-arm-3.txz
  • x/pyxdg-0.27-arm-5.txz
  • x/xcb-proto-1.14.1-arm-5.txz
  • xap/audacious-4.1-arm-3.txz
    Removed the extra menu entry for the GTK+ version as this can just be
    selected in the settings. Thanks to franzen.
  • xap/blueman-2.2.3-arm-2.txz
  • xap/hexchat-2.16.0-arm-3.txz
  • extra/brltty/brltty-6.4-arm-3.txz
  • extra/libgpiod/libgpiod-1.6.3-arm-4.txz
  • extra/x11vnc/x11vnc-0.9.16-arm-3.txz
  • isolinux/*
  • a/bash-5.1.012.000-arm-1.txz
  • a/btrfs-progs-5.15.1-arm-1.txz
  • a/cryptsetup-2.4.2-arm-1.txz
  • a/dialog-1.3_20211107-arm-1.txz
  • a/exfatprogs-1.1.3-arm-1.txz
  • a/hwdata-0.353-arm-1.txz
  • a/kernel-firmware-20211123_b0e898f-noarch-1.txz
  • a/kernel-modules-armv7-5.15.5_armv7-arm-1.txz
  • a/kernel_armv7-5.15.5-arm-1.txz
  • a/mtd-utils-201121-arm-1.txz
  • ap/inxi-20211122_2feaf0b8-noarch-1.txz
  • ap/ksh93-1.0_20211125_84ded2d-arm-1.txz
    Changed the fetch script to pull the 1.0 branch.
    Packaged shcomp and man page and additional documentation.
    Merged some other changes to the build script.
    Thanks to Martijn Dekker (McDutchie).
    Switched to ksh93u+m. Thanks to aikempshall and GazL.
    Don't assume that /bin/sh mode is desired when ksh is run from su.
    Thanks to McDutchie.
  • ap/lxc-4.0.11-arm-1.txz
    Added some additional packages to the lxc-slackware template:
    bridge-utils, dbus, iptables, libnl3, libpcap.
    Thanks to linux91 for the hints.
    Move the bash-completion symlinks to the system directory. Thanks to kaott.
    Requires libseccomp-2.5.3.
    No more local versions of rc.{6,S,M,inet1}: the regular versions work now.
  • ap/mariadb-10.5.13-arm-1.txz
    Install /etc/security/user_map.conf as /etc/security/user_map.conf.new to
    protect it from being overwritten by future upgrades.
    Thanks to Markus Wiesner.
    This update fixes a security issue:
    Easily exploitable vulnerability allows high privileged attacker with network
    access via multiple protocols to compromise MariaDB Server. Successful
    attacks of this vulnerability can result in unauthorized ability to cause a
    hang or frequently repeatable crash (complete DOS) of MariaDB Server as well
    as unauthorized update, insert or delete access to some of MariaDB Server
    accessible data.
    For more information, see:
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-35604
    (* Security fix *)
  • ap/neofetch-20211127_c1c69937-noarch-1.txz
  • ap/nvme-cli-1.16-arm-1.txz
  • ap/qpdf-10.4.0-arm-1.txz
  • ap/sqlite-3.37.0-arm-1.txz
  • ap/vim-8.2.3656-arm-1.txz
  • d/ccache-4.5.1-arm-1.txz
  • d/git-2.34.1-arm-1.txz
  • d/kernel-headers-5.15.5-arm-1.txz
  • d/mercurial-6.0-arm-1.txz
  • d/meson-0.59.4-arm-1.txz
  • d/parallel-20211122-noarch-1.txz
  • d/python-setuptools-57.5.0-arm-1.txz
  • d/python3-3.9.9-arm-1.txz
    Back to Python 3.9, which seems to be the best version to use at this time.
    This is a bugfix release, fixing four bugs in Python 3.9.8 (including an
    argparse regression in Python 3.9.8 which caused complex command-line tools
    to fail recognizing sub-commands properly). It also makes a couple of
    corrections to the documentation.
    For more information, see:
    https://docs.python.org/release/3.9.9/whatsnew/changelog.html
    Do not patch posix_user platlib to use $HOME/.local/lib64 on 64-bit - use
    $HOME/.local/lib for all platforms. This avoids a warning from pip about the
    install location not matching between distutils and sysconfig. Note that this
    might require already installed modules to be moved from $HOME/.local/lib64
    to $HOME/.local/lib (or they could be removed and then reinstalled).
    At first this seemed to be a non-optimal solution for this issue, but other
    distributions are taking this same approach and it appears that the
    posix_user platlib setting has always been ignored until recently.
    If this causes any unexpected issues, let me know.
    Thanks to redneonglow and alijkl.
  • d/rust-1.56.1-arm-1.txz
  • d/slacktrack-2.22-arm-1.txz
  • d/vala-0.54.3-arm-1.txz
  • k/kernel-source-5.15.5-arm-1.txz
  • kde/akonadi-21.08.3-arm-1.txz
  • kde/akonadi-calendar-21.08.3-arm-1.txz
  • kde/akonadi-calendar-tools-21.08.3-arm-1.txz
  • kde/akonadi-contacts-21.08.3-arm-1.txz
  • kde/akonadi-import-wizard-21.08.3-arm-1.txz
  • kde/akonadi-mime-21.08.3-arm-1.txz
  • kde/akonadi-notes-21.08.3-arm-1.txz
  • kde/akonadi-search-21.08.3-arm-1.txz
  • kde/akonadiconsole-21.08.3-arm-1.txz
  • kde/akregator-21.08.3-arm-1.txz
  • kde/analitza-21.08.3-arm-1.txz
  • kde/ark-21.08.3-arm-1.txz
  • kde/artikulate-21.08.3-arm-1.txz
  • kde/attica-5.88.0-arm-1.txz
  • kde/audiocd-kio-21.08.3-arm-1.txz
  • kde/baloo-5.88.0-arm-1.txz
  • kde/baloo-widgets-21.08.3-arm-1.txz
  • kde/blinken-21.08.3-arm-1.txz
  • kde/bluedevil-5.23.3-arm-1.txz
  • kde/bluez-qt-5.88.0-arm-1.txz
  • kde/bomber-21.08.3-arm-1.txz
  • kde/bovo-21.08.3-arm-1.txz
  • kde/breeze-5.23.3-arm-1.txz
  • kde/breeze-gtk-5.23.3-arm-1.txz
  • kde/breeze-icons-5.88.0-noarch-1.txz
  • kde/calendarsupport-21.08.3-arm-1.txz
  • kde/cantor-21.08.3-arm-1.txz
  • kde/cervisia-21.08.3-arm-1.txz
  • kde/dolphin-21.08.3-arm-1.txz
  • kde/dolphin-plugins-21.08.3-arm-1.txz
  • kde/dragon-21.08.3-arm-1.txz
  • kde/drkonqi-5.23.3-arm-1.txz
  • kde/elisa-21.08.3-arm-1.txz
  • kde/eventviews-21.08.3-arm-1.txz
  • kde/extra-cmake-modules-5.88.0-arm-1.txz
  • kde/ffmpegthumbs-21.08.3-arm-1.txz
  • kde/filelight-21.08.3-arm-1.txz
  • kde/frameworkintegration-5.88.0-arm-1.txz
  • kde/granatier-21.08.3-arm-1.txz
  • kde/grantlee-editor-21.08.3-arm-1.txz
  • kde/grantleetheme-21.08.3-arm-1.txz
  • kde/gwenview-21.08.3-arm-1.txz
  • kde/incidenceeditor-21.08.3-arm-1.txz
  • kde/itinerary-21.08.3-arm-1.txz
  • kde/juk-21.08.3-arm-1.txz
  • kde/k3b-21.08.3-arm-1.txz
  • kde/kactivities-5.88.0-arm-1.txz
  • kde/kactivities-stats-5.88.0-arm-1.txz
  • kde/kactivitymanagerd-5.23.3-arm-1.txz
  • kde/kaddressbook-21.08.3-arm-1.txz
  • kde/kalarm-21.08.3-arm-1.txz
  • kde/kalarmcal-21.08.3-arm-1.txz
  • kde/kalgebra-21.08.3-arm-1.txz
  • kde/kalzium-21.08.3-arm-1.txz
  • kde/kamera-21.08.3-arm-1.txz
  • kde/kamoso-21.08.3-arm-1.txz
  • kde/kanagram-21.08.3-arm-1.txz
  • kde/kapidox-5.88.0-arm-1.txz
  • kde/kapman-21.08.3-arm-1.txz
  • kde/kapptemplate-21.08.3-arm-1.txz
  • kde/karchive-5.88.0-arm-1.txz
  • kde/kate-21.08.3-arm-1.txz
  • kde/katomic-21.08.3-arm-1.txz
  • kde/kauth-5.88.0-arm-1.txz
  • kde/kbackup-21.08.3-arm-1.txz
  • kde/kblackbox-21.08.3-arm-1.txz
  • kde/kblocks-21.08.3-arm-1.txz
  • kde/kbookmarks-5.88.0-arm-1.txz
  • kde/kbounce-21.08.3-arm-1.txz
  • kde/kbreakout-21.08.3-arm-1.txz
  • kde/kbruch-21.08.3-arm-1.txz
  • kde/kcachegrind-21.08.3-arm-1.txz
  • kde/kcalc-21.08.3-arm-1.txz
  • kde/kcalendarcore-5.88.0-arm-1.txz
  • kde/kcalutils-21.08.3-arm-1.txz
  • kde/kcharselect-21.08.3-arm-1.txz
  • kde/kcmutils-5.88.0-arm-1.txz
  • kde/kcodecs-5.88.0-arm-1.txz
  • kde/kcolorchooser-21.08.3-arm-1.txz
  • kde/kcompletion-5.88.0-arm-1.txz
  • kde/kconfig-5.88.0-arm-1.txz
  • kde/kconfigwidgets-5.88.0-arm-1.txz
  • kde/kcontacts-5.88.0-arm-1.txz
  • kde/kcoreaddons-5.88.0-arm-1.txz
  • kde/kcrash-5.88.0-arm-1.txz
  • kde/kcron-21.08.3-arm-1.txz
  • kde/kdav-5.88.0-arm-1.txz
  • kde/kdbusaddons-5.88.0-arm-1.txz
  • kde/kde-cli-tools-5.23.3-arm-1.txz
  • kde/kde-dev-scripts-21.08.3-arm-1.txz
  • kde/kde-dev-utils-21.08.3-arm-1.txz
  • kde/kde-gtk-config-5.23.3-arm-1.txz
  • kde/kdebugsettings-21.08.3-arm-1.txz
  • kde/kdeclarative-5.88.0-arm-1.txz
  • kde/kdeconnect-kde-21.08.3-arm-1.txz
  • kde/kdecoration-5.23.3-arm-1.txz
  • kde/kded-5.88.0-arm-1.txz
  • kde/kdeedu-data-21.08.3-arm-1.txz
  • kde/kdegraphics-mobipocket-21.08.3-arm-1.txz
  • kde/kdegraphics-thumbnailers-21.08.3-arm-1.txz
  • kde/kdelibs4support-5.88.0-arm-1.txz
  • kde/kdenetwork-filesharing-21.08.3-arm-1.txz
  • kde/kdenlive-21.08.3-arm-1.txz
  • kde/kdepim-addons-21.08.3-arm-1.txz
  • kde/kdepim-runtime-21.08.3-arm-1.txz
  • kde/kdeplasma-addons-5.23.3-arm-1.txz
  • kde/kdesdk-kioslaves-21.08.3-arm-1.txz
  • kde/kdesdk-thumbnailers-21.08.3-arm-1.txz
  • kde/kdesignerplugin-5.88.0-arm-1.txz
  • kde/kdesu-5.88.0-arm-1.txz
  • kde/kdewebkit-5.88.0-arm-1.txz
  • kde/kdf-21.08.3-arm-1.txz
  • kde/kdialog-21.08.3-arm-1.txz
  • kde/kdiamond-21.08.3-arm-1.txz
  • kde/kdnssd-5.88.0-arm-1.txz
  • kde/kdoctools-5.88.0-arm-1.txz
  • kde/keditbookmarks-21.08.3-arm-1.txz
  • kde/kemoticons-5.88.0-arm-1.txz
  • kde/kfilemetadata-5.88.0-arm-1.txz
  • kde/kfind-21.08.3-arm-1.txz
  • kde/kfloppy-21.08.3-arm-1.txz
  • kde/kfourinline-21.08.3-arm-1.txz
  • kde/kgamma5-5.23.3-arm-1.txz
  • kde/kgeography-21.08.3-arm-1.txz
  • kde/kget-21.08.3-arm-1.txz
  • kde/kglobalaccel-5.88.0-arm-1.txz
  • kde/kgoldrunner-21.08.3-arm-1.txz
  • kde/kgpg-21.08.3-arm-1.txz
  • kde/kguiaddons-5.88.0-arm-1.txz
  • kde/khangman-21.08.3-arm-1.txz
  • kde/khelpcenter-21.08.3-arm-1.txz
  • kde/kholidays-5.88.0-arm-1.txz
  • kde/khotkeys-5.23.3-arm-1.txz
  • kde/khtml-5.88.0-arm-1.txz
  • kde/ki18n-5.88.0-arm-1.txz
  • kde/kiconthemes-5.88.0-arm-1.txz
  • kde/kidentitymanagement-21.08.3-arm-1.txz
  • kde/kidletime-5.88.0-arm-1.txz
  • kde/kig-21.08.3-arm-1.txz
  • kde/kigo-21.08.3-arm-1.txz
  • kde/killbots-21.08.3-arm-1.txz
  • kde/kimageformats-5.88.0-arm-1.txz
  • kde/kimagemapeditor-21.08.3-arm-1.txz
  • kde/kimap-21.08.3-arm-1.txz
  • kde/kinfocenter-5.23.3-arm-1.txz
  • kde/kinit-5.88.0-arm-1.txz
  • kde/kio-5.88.0-arm-1.txz
  • kde/kio-extras-21.08.3-arm-1.txz
  • kde/kio-gdrive-21.08.3-arm-1.txz
  • kde/kipi-plugins-21.08.3-arm-1.txz
  • kde/kirigami-gallery-21.08.3-arm-1.txz
  • kde/kirigami2-5.88.0-arm-1.txz
  • kde/kiriki-21.08.3-arm-1.txz
  • kde/kitemmodels-5.88.0-arm-1.txz
  • kde/kitemviews-5.88.0-arm-1.txz
  • kde/kiten-21.08.3-arm-1.txz
  • kde/kitinerary-21.08.3-arm-1.txz
  • kde/kjobwidgets-5.88.0-arm-1.txz
  • kde/kjots-20211003_4109f07-arm-1.txz
  • kde/kjs-5.88.0-arm-1.txz
  • kde/kjsembed-5.88.0-arm-1.txz
  • kde/kjumpingcube-21.08.3-arm-1.txz
  • kde/kldap-21.08.3-arm-1.txz
  • kde/kleopatra-21.08.3-arm-1.txz
  • kde/klickety-21.08.3-arm-1.txz
  • kde/klines-21.08.3-arm-1.txz
  • kde/kmag-21.08.3-arm-1.txz
  • kde/kmahjongg-21.08.3-arm-1.txz
  • kde/kmail-21.08.3-arm-1.txz
  • kde/kmail-account-wizard-21.08.3-arm-1.txz
  • kde/kmailtransport-21.08.3-arm-1.txz
  • kde/kmbox-21.08.3-arm-1.txz
  • kde/kmediaplayer-5.88.0-arm-1.txz
  • kde/kmenuedit-5.23.3-arm-1.txz
  • kde/kmime-21.08.3-arm-1.txz
  • kde/kmines-21.08.3-arm-1.txz
  • kde/kmix-21.08.3-arm-1.txz
  • kde/kmousetool-21.08.3-arm-1.txz
  • kde/kmouth-21.08.3-arm-1.txz
  • kde/kmplot-21.08.3-arm-1.txz
  • kde/knavalbattle-21.08.3-arm-1.txz
  • kde/knetwalk-21.08.3-arm-1.txz
  • kde/knewstuff-5.88.0-arm-1.txz
  • kde/knights-21.08.3-arm-1.txz
  • kde/knotes-21.08.3-arm-1.txz
  • kde/knotifications-5.88.0-arm-1.txz
  • kde/knotifyconfig-5.88.0-arm-1.txz
  • kde/kolf-21.08.3-arm-1.txz
  • kde/kollision-21.08.3-arm-1.txz
  • kde/kolourpaint-21.08.3-arm-1.txz
  • kde/kompare-21.08.3-arm-1.txz
  • kde/konqueror-21.08.3-arm-1.txz
  • kde/konquest-21.08.3-arm-1.txz
  • kde/konsole-21.08.3-arm-1.txz
  • kde/kontact-21.08.3-arm-1.txz
  • kde/kontactinterface-21.08.3-arm-1.txz
  • kde/kontrast-21.08.3-arm-1.txz
  • kde/konversation-21.08.3-arm-1.txz
  • kde/kopete-21.08.3-arm-1.txz
  • kde/korganizer-21.08.3-arm-1.txz
  • kde/kosmindoormap-21.08.3-arm-1.txz
  • kde/kpackage-5.88.0-arm-1.txz
  • kde/kparts-5.88.0-arm-1.txz
  • kde/kpat-21.08.3-arm-1.txz
  • kde/kpeople-5.88.0-arm-1.txz
  • kde/kpimtextedit-21.08.3-arm-1.txz
  • kde/kpkpass-21.08.3-arm-1.txz
  • kde/kplotting-5.88.0-arm-1.txz
  • kde/kpmcore-21.08.3-arm-1.txz
  • kde/kpty-5.88.0-arm-1.txz
  • kde/kpublictransport-21.08.3-arm-1.txz
  • kde/kqtquickcharts-21.08.3-arm-1.txz
  • kde/kquickcharts-5.88.0-arm-1.txz
  • kde/krdc-21.08.3-arm-1.txz
  • kde/kreversi-21.08.3-arm-1.txz
  • kde/krfb-21.08.3-arm-1.txz
  • kde/kross-5.88.0-arm-1.txz
  • kde/kross-interpreters-21.08.3-arm-1.txz
  • kde/kruler-21.08.3-arm-1.txz
  • kde/krunner-5.88.0-arm-1.txz
  • kde/kscreen-5.23.3-arm-1.txz
  • kde/kscreenlocker-5.23.3-arm-1.txz
  • kde/kservice-5.88.0-arm-1.txz
  • kde/kshisen-21.08.3-arm-1.txz
  • kde/ksirk-21.08.3-arm-1.txz
  • kde/ksmtp-21.08.3-arm-1.txz
  • kde/ksnakeduel-21.08.3-arm-1.txz
  • kde/kspaceduel-21.08.3-arm-1.txz
  • kde/ksquares-21.08.3-arm-1.txz
  • kde/ksshaskpass-5.23.3-arm-1.txz
  • kde/kstars-3.5.6-arm-1.txz
  • kde/ksudoku-21.08.3-arm-1.txz
  • kde/ksystemlog-21.08.3-arm-1.txz
  • kde/ksystemstats-5.23.3-arm-1.txz
  • kde/kteatime-21.08.3-arm-1.txz
  • kde/ktexteditor-5.88.0-arm-1.txz
  • kde/ktextwidgets-5.88.0-arm-1.txz
  • kde/ktimer-21.08.3-arm-1.txz
  • kde/ktnef-21.08.3-arm-1.txz
  • kde/ktorrent-21.08.3-arm-1.txz
  • kde/ktouch-21.08.3-arm-1.txz
  • kde/kturtle-21.08.3-arm-1.txz
  • kde/kubrick-21.08.3-arm-1.txz
  • kde/kunitconversion-5.88.0-arm-1.txz
  • kde/kwallet-5.88.0-arm-1.txz
  • kde/kwallet-pam-5.23.3-arm-1.txz
  • kde/kwalletmanager-21.08.3-arm-1.txz
  • kde/kwave-21.08.3-arm-1.txz
  • kde/kwayland-5.88.0-arm-1.txz
  • kde/kwayland-integration-5.23.3-arm-1.txz
  • kde/kwayland-server-5.23.3-arm-1.txz
  • kde/kwidgetsaddons-5.88.0-arm-1.txz
  • kde/kwin-5.23.3-arm-1.txz
  • kde/kwindowsystem-5.88.0-arm-1.txz
  • kde/kwordquiz-21.08.3-arm-1.txz
  • kde/kwrited-5.23.3-arm-1.txz
  • kde/kxmlgui-5.88.0-arm-1.txz
  • kde/kxmlrpcclient-5.88.0-arm-1.txz
  • kde/latte-dock-0.10.4-arm-1.txz
  • kde/layer-shell-qt-5.23.3-arm-1.txz
  • kde/libgravatar-21.08.3-arm-1.txz
  • kde/libkcddb-21.08.3-arm-1.txz
  • kde/libkcompactdisc-21.08.3-arm-1.txz
  • kde/libkdcraw-21.08.3-arm-1.txz
  • kde/libkdegames-21.08.3-arm-1.txz
  • kde/libkdepim-21.08.3-arm-1.txz
  • kde/libkeduvocdocument-21.08.3-arm-1.txz
  • kde/libkexiv2-21.08.3-arm-1.txz
  • kde/libkgapi-21.08.3-arm-1.txz
  • kde/libkipi-21.08.3-arm-1.txz
  • kde/libkleo-21.08.3-arm-1.txz
  • kde/libkmahjongg-21.08.3-arm-1.txz
  • kde/libkomparediff2-21.08.3-arm-1.txz
  • kde/libksane-21.08.3-arm-1.txz
  • kde/libkscreen-5.23.3-arm-1.txz
  • kde/libksieve-21.08.3-arm-1.txz
  • kde/libksysguard-5.23.3-arm-1.txz
  • kde/libktorrent-21.08.3-arm-1.txz
  • kde/lokalize-21.08.3-arm-1.txz
  • kde/lskat-21.08.3-arm-1.txz
  • kde/mailcommon-21.08.3-arm-1.txz
  • kde/mailimporter-21.08.3-arm-1.txz
  • kde/marble-21.08.3-arm-1.txz
  • kde/markdownpart-21.08.3-arm-1.txz
  • kde/mbox-importer-21.08.3-arm-1.txz
  • kde/messagelib-21.08.3-arm-1.txz
  • kde/milou-5.23.3-arm-1.txz
  • kde/minuet-21.08.3-arm-1.txz
  • kde/modemmanager-qt-5.88.0-arm-1.txz
  • kde/networkmanager-qt-5.88.0-arm-1.txz
  • kde/okular-21.08.3-arm-1.txz
  • kde/oxygen-5.23.3-arm-1.txz
  • kde/oxygen-icons5-5.88.0-noarch-1.txz
  • kde/palapeli-21.08.3-arm-1.txz
  • kde/parley-21.08.3-arm-1.txz
  • kde/partitionmanager-21.08.3-arm-1.txz
  • kde/picmi-21.08.3-arm-1.txz
  • kde/pim-data-exporter-21.08.3-arm-1.txz
  • kde/pim-sieve-editor-21.08.3-arm-1.txz
  • kde/pimcommon-21.08.3-arm-1.txz
  • kde/plasma-browser-integration-5.23.3-arm-1.txz
  • kde/plasma-desktop-5.23.3-arm-1.txz
  • kde/plasma-disks-5.23.3-arm-1.txz
  • kde/plasma-firewall-5.23.3-arm-1.txz
  • kde/plasma-framework-5.88.0-arm-1.txz
  • kde/plasma-integration-5.23.3-arm-1.txz
  • kde/plasma-nm-5.23.3-arm-1.txz
  • kde/plasma-pa-5.23.3-arm-1.txz
  • kde/plasma-sdk-5.23.3-arm-1.txz
  • kde/plasma-systemmonitor-5.23.3-arm-1.txz
  • kde/plasma-vault-5.23.3-arm-1.txz
  • kde/plasma-wayland-protocols-1.5.0-arm-1.txz
  • kde/plasma-workspace-5.23.3-arm-1.txz
  • kde/plasma-workspace-wallpapers-5.23.3-arm-1.txz
  • kde/polkit-kde-agent-1-5.23.3-arm-1.txz
  • kde/powerdevil-5.23.3-arm-1.txz
  • kde/poxml-21.08.3-arm-1.txz
  • kde/print-manager-21.08.3-arm-1.txz
  • kde/prison-5.88.0-arm-1.txz
  • kde/purpose-5.88.0-arm-1.txz
  • kde/qqc2-breeze-style-5.23.3-arm-1.txz
  • kde/qqc2-desktop-style-5.88.0-arm-1.txz
  • kde/rocs-21.08.3-arm-1.txz
  • kde/sddm-kcm-5.23.3-arm-1.txz
  • kde/skanlite-21.08.3-arm-1.txz
  • kde/solid-5.88.0-arm-1.txz
  • kde/sonnet-5.88.0-arm-1.txz
  • kde/spectacle-21.08.3-arm-1.txz
  • kde/step-21.08.3-arm-1.txz
  • kde/svgpart-21.08.3-arm-1.txz
  • kde/sweeper-21.08.3-arm-1.txz
  • kde/syndication-5.88.0-arm-1.txz
  • kde/syntax-highlighting-5.88.0-arm-1.txz
  • kde/systemsettings-5.23.3-arm-1.txz
  • kde/threadweaver-5.88.0-arm-1.txz
  • kde/umbrello-21.08.3-arm-1.txz
  • kde/wacomtablet-20210906_d1e216a-arm-1.txz
  • kde/xdg-desktop-portal-kde-5.23.3-arm-1.txz
  • kde/yakuake-21.08.3-arm-1.txz
  • kde/zeroconf-ioslave-21.08.3-arm-1.txz
  • l/Mako-1.1.6-arm-1.txz
  • l/cfitsio-4.0.0-arm-1.txz
  • l/elfutils-0.186-arm-1.txz
  • l/fluidsynth-2.2.4-arm-1.txz
  • l/gtk4-4.4.1-arm-1.txz
  • l/harfbuzz-3.1.2-arm-1.txz
  • l/imagemagick-7.1.0_16-arm-1.txz
  • l/iso-codes-4.8.0-arm-1.txz
  • l/libcap-2.61-arm-1.txz
  • l/libexif-0.6.24-arm-1.txz
  • l/libjpeg-turbo-2.1.2-arm-1.txz
  • l/librsvg-2.52.4-arm-1.txz
  • l/libsoup-2.74.2-arm-1.txz
  • l/libtasn1-4.18.0-arm-1.txz
  • l/mlt-7.2.0-arm-1.txz
  • l/netpbm-10.96.03-arm-1.txz
  • l/pipewire-0.3.40-arm-1.txz
  • l/poppler-21.11.0-arm-1.txz
    Shared library .so-version bump.
  • l/python-charset-normalizer-2.0.8-arm-1.txz
  • l/python-docutils-0.17.1-arm-1.txz
    Revert to this version for now since 0.18 isn't compatible with Sphinx.
    Thanks to HQuest.
  • l/python-packaging-21.3-arm-1.txz
  • l/python-pycparser-2.21-arm-1.txz
  • l/qtkeychain-0.13.2-arm-1.txz
  • l/sg3_utils-1.47-arm-1.txz
    Shared library .so-version bump.
  • l/vte-0.66.1-arm-1.txz
  • n/ModemManager-1.18.4-arm-1.txz
  • n/bind-9.16.23-arm-1.txz
  • n/curl-7.80.0-arm-1.txz
  • n/ethtool-5.15-arm-1.txz
  • n/fetchmail-6.4.24-arm-1.txz
  • n/gnupg2-2.2.33-arm-1.txz
  • n/iproute2-5.15.0-arm-1.txz
  • n/iw-5.16-arm-1.txz
  • n/libgpg-error-1.43-arm-1.txz
  • n/libmbim-1.26.2-arm-1.txz
  • n/libnetfilter_log-1.0.2-arm-1.txz
  • n/libnftnl-1.2.1-arm-1.txz
  • n/nftables-1.0.1-arm-1.txz
  • n/nss-pam-ldapd-0.9.12-arm-1.txz
  • n/php-7.4.26-arm-1.txz
    This update fixes bugs and a security issue:
    XML: special character is breaking the path in xml function.
    For more information, see:
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-21707
    (* Security fix *)
  • n/postfix-3.6.3-arm-1.txz
  • n/s-nail-14.9.23-arm-1.txz
  • n/samba-4.15.2-arm-1.txz
    This is a security release in order to address the following defects:
    SMB1 client connections can be downgraded to plaintext authentication.
    A user on the domain can become root on domain members.
    Samba AD DC did not correctly sandbox Kerberos tickets issued by an RODC.
    Samba AD DC did not always rely on the SID and PAC in Kerberos tickets.
    Kerberos acceptors need easy access to stable AD identifiers (eg objectSid).
    Samba AD DC did not do suffienct access and conformance checking of data
    stored.
    Use after free in Samba AD DC RPC server.
    Subsequent DCE/RPC fragment injection vulnerability.
    For more information, see:
    https://www.samba.org/samba/security/CVE-2016-2124.html
    https://www.samba.org/samba/security/CVE-2020-25717.html
    (PLEASE READ! There are important behaviour changes described)
    https://www.samba.org/samba/security/CVE-2020-25718.html
    https://www.samba.org/samba/security/CVE-2020-25719.html
    https://www.samba.org/samba/security/CVE-2020-25721.html
    https://www.samba.org/samba/security/CVE-2020-25722.html
    https://www.samba.org/samba/security/CVE-2021-3738.html
    https://www.samba.org/samba/security/CVE-2021-23192.html
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2124
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-25717
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-25718
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-25719
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-25721
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-25722
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-3738
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-23192
    (* Security fix *)
  • n/socat-1.7.4.2-arm-1.txz
  • tcl/tcl-8.6.12-arm-1.txz
  • tcl/tk-8.6.12-arm-1.txz
  • x/libdrm-2.4.107-arm-1.txz
    Reverted to 2.4.107 as 2.4.108 does not seem to be completely compatible with
    xorg-server-1.20.13. Fixes xf86-video-vmware failing to build from source.
    Thanks to nobodino.
  • x/libevdev-1.12.0-arm-1.txz
  • x/mesa-21.2.6-arm-1.txz
  • x/wayland-protocols-1.24-arm-1.txz
  • x/xorg-server-xwayland-21.1.3-arm-1.txz
  • x/xterm-370-arm-1.txz
  • xap/gftp-2.8.0b-arm-1.txz
  • xap/pan-0.148-arm-1.txz
  • xap/vim-gvim-8.2.3656-arm-1.txz
  • xap/xsnow-3.3.2-arm-1.txz
  • xfce/mousepad-0.5.8-arm-1.txz
  • xfce/xfce4-whiskermenu-plugin-2.6.2-arm-1.txz
  • extra/fltk/fltk-1.3.8-arm-1.txz
  • extra/php8/php8-8.0.13-arm-1.txz
    This update fixes bugs and a security issue:
    XML: special character is breaking the path in xml function.
    For more information, see:
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-21707
    (* Security fix *)
  • extra/tigervnc/tigervnc-1.12.0-arm-1.txz
    Thanks to alienBOB for the original build script, and to 0XBF and Linux From
    Scratch for some useful hints on getting this back in shape.
    Use the upstream vncserver script, patched to search in some additional
    locations for a startup script: $HOME/.vnc/xstartup, $HOME/.xinitrc, and
    /etc/X11/xinit/xinitrc.
    Add a symlink for vncserver in the old location (/usr/bin/vncserver).
    Removed pam_selinux.so module from /etc/pam.d/tigervnc. Thanks to 0XBF.
  • kernels/*
  • l/libseccomp-2.5.3-arm-1.txz
    This is needed by lxc-4.0.11. Thanks to Willy Sudiarto Raharjo.
  • l/python-Jinja2-3.0.3-arm-1.txz
    Added missing dependency of kapidox.
  • l/python-MarkupSafe-2.0.1-arm-1.txz
    Added missing dependency of Mako.
  • l/python-PyYAML-6.0-arm-1.txz
    Added missing dependency of kapidox.
  • l/python-doxypypy-0.8.8.6-arm-1.txz
    Added missing dependency of kapidox.
  • l/python-doxyqml-0.5.1-arm-1.txz
    Added missing dependency of kapidox.
  • l/python-pbr-5.8.0-arm-1.txz
    Added missing dependency of python-pysol_cards.
  • l/python-setuptools_scm-6.3.2-arm-1.txz
    This is needed when building some Python modules to correctly parse their
    metadata, as recently discovered with importlib_metadata and zipp. While
    we'll stick to the version of Markdown that we've got, it seems like a good
    idea to get this in before the release to help prevent people from running
    into similar “version 0.0.0” issues with other Python modules.
    Thanks to USUARIONUEVO.
  • l/python-tomli-1.2.2-arm-1.txz
    This is needed by setuptools_scm. Also, the SlackBuild contains a nice
    example of using a setup.py shim to setuptools for a Python module that
    only contains pyproject.toml and not setup.py.
    Thanks to Heinz Wiesinger.
  • news/2021/11/29/slackwarearm-current-changelog.txt
  • Last modified: 8 weeks ago
  • by Giuseppe Di Terlizzi